// CallLogEntry.h: CCallLogEntry NX̃C^[tFCX
//
//////////////////////////////////////////////////////////////////////

#ifndef __CCALLLOGENTRY_H_
#define __CCALLLOGENTRY_H_

#include "phone.h"

/* Defines */
#define CALLLOGENTRY_FLAG_MISSED	0x00000001
#define CALLLOGENTRY_FLAG_RECORD	0x00000002
#define CALLLOGENTRY_FLAG_184		0x00010000
#define CALLLOGENTRY_FLAG_186		0x00020000
#define CALLLOGENTRY_FLAG_BUNKEI	0x00040000


/* Typedefs */
typedef enum {
	CALLLOGENTRY_TYPE_CALLING,
	CALLLOGENTRY_TYPE_CALLED
} CALLLOGENTRY_TYPE;


/* Classes */
class CCallLogEntry  
{
private:
	CALLLOGENTRY_TYPE	m_Type;
	LPTSTR				m_pszNumber;
	LPTSTR				m_pszName;
	FILETIME			m_ftCallTime;
	DWORD				m_dwFlag;
public:
	CCallLogEntry();
	CCallLogEntry(CALLLOGENTRY_TYPE type, LPTSTR pNumber, LPTSTR pName, FILETIME* pftCallTime, DWORD dwFlag);
	virtual ~CCallLogEntry();

	CALLLOGENTRY_TYPE	GetType();
	LPTSTR				GetNumber();
	LPTSTR				GetName();
	FILETIME*			GetTime();
	DWORD				GetFlag();
	BOOL	ConvertToCALLLOGENTRY(CALLLOGENTRY* pEntry);
};

#endif
